[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector3_double):Tvector4_double

Allow assignment of three-dimensional double precision vector to four-dimensional double precision vector

## Declaration

Source position: matrix.pp line 319

`operator operator :=(`
`const v: Tvector3_double`
`):Tvector4_double;`

## Description

This operator allows you to use a three-dimensional vector with double precision values wherever a four-dimensional vector with double precision is expected. The fourth dimension is set to 0.